Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdom.output
Class NamespaceStack

    java.lang.Object
      org.jdom.output.NamespaceStack

Direct Known Subclasses:
  XMLOutputter.NamespaceStack

     class NamespaceStack

extends java.lang.Object

A non-public utility class used by both ``XMLOutputter`` and ``SAXOutputter`` to manage namespaces in a JDOM Document during output.

Field Summary
`private static java.lang.String` | `CVS_ID`
`private java.util.Stack` | `prefixes` The prefixes available
`private java.util.Stack` | `uris` The URIs available

Constructor Summary
`NamespaceStack()` This creates the needed storage.

Method Summary
`java.lang.String` | `getURI(java.lang.String prefix)` Given a prefix, this will return the namespace URI most rencently (topmost) associated with that prefix.
`java.lang.String` | `pop()` This will remove the topmost (most recently added) ``Namespace``, and return its prefix.
`void` | `push(Namespace ns)` This will add a new ``Namespace`` to those currently available.
`int` | `size()` This returns the number of available namespaces.
`java.lang.String` | `toString()` This will print out the size and current stack, from the most recently added ``Namespace`` to the "oldest," all to `System.out`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CVS_ID

    private static final java.lang.String CVS_ID

See Also:
  Constant Field Values

### prefixes

    private java.util.Stack prefixes

  The prefixes available

### uris

    private java.util.Stack uris

  The URIs available

Constructor Detail

### NamespaceStack

    NamespaceStack()

  This creates the needed storage.

Method Detail

### push

    public void push(Namespace ns)

  This will add a new ``Namespace`` to those currently available.

  Parameters:
    `ns` - `Namespace` to add.

### pop

    public java.lang.String pop()

  This will remove the topmost (most recently added) ``Namespace``, and return its prefix.

  Returns:
    `String` - the popped namespace prefix.

### size

    public int size()

  This returns the number of available namespaces.

  Returns:
    `int` - size of the namespace stack.

### getURI

    public java.lang.String getURI(java.lang.String prefix)

  Given a prefix, this will return the namespace URI most rencently (topmost) associated with that prefix.

  Parameters:
    `prefix` - `String` namespace prefix.
  Returns:
    `String` - the namespace URI for that prefix.

### toString

    public java.lang.String toString()

  This will print out the size and current stack, from the most recently added ``Namespace`` to the "oldest," all to `System.out`.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD